"use strict";
var _errorCodes = require("./ErrorCodes");
var _oderror = require("./ODError");
let APIError = class APIError extends _oderror.ODError {
    constructor({ code , message  }){
        super({
            code: `API_${code}`,
            message
        });
        this.statusCode = _errorCodes.APIErrors[code];
    }
};
exports.APIError = APIError;

//# sourceMappingURL=APIError.js.map