"use strict";
exports.getConditions = exports.getCondition = void 0;
var _remeda = require("remeda");
const getCondition = (tree)=>{
    return (conditionId)=>{
        var ref;
        return (ref = tree.conditions) == null ? void 0 : ref[conditionId];
    };
};
exports.getCondition = getCondition;
const getConditions = (tree)=>(conditionIds)=>{
        if (!tree.conditions) return undefined;
        const conditions = (0, _remeda).pick(tree.conditions, conditionIds);
        if (!conditions) return undefined;
        return conditions;
    }
;
exports.getConditions = getConditions;

//# sourceMappingURL=getCondition.js.map