"use strict";
exports.getEdges = exports.getEdge = void 0;
var _remeda = require("remeda");
const getEdge = (tree)=>{
    return (edgeId)=>{
        var ref;
        return (ref = tree.edges) == null ? void 0 : ref[edgeId];
    };
};
exports.getEdge = getEdge;
const getEdges = (tree)=>(edgeIds)=>{
        if (!tree.edges) return undefined;
        const edges = (0, _remeda).pick(tree.edges, edgeIds);
        if (!edges) return undefined;
        return edges;
    }
;
exports.getEdges = getEdges;

//# sourceMappingURL=getEdge.js.map