"use strict";
exports.getInputs = exports.getInput = void 0;
var _remeda = require("remeda");
const getInput = (tree)=>{
    return (inputId)=>{
        var ref;
        return (ref = tree.inputs) == null ? void 0 : ref[inputId];
    };
};
exports.getInput = getInput;
const getInputs = (tree)=>(inputIds)=>{
        if (!tree.inputs) return undefined;
        const inputs = (0, _remeda).pick(tree.inputs, inputIds);
        if (!inputs) return undefined;
        return inputs;
    }
;
exports.getInputs = getInputs;

//# sourceMappingURL=getInput.js.map