"use strict";
exports.getNodes = exports.getNode = void 0;
var _remeda = require("remeda");
const getNode = (tree)=>{
    return (nodeId)=>{
        var ref;
        return (ref = tree.nodes) == null ? void 0 : ref[nodeId];
    };
};
exports.getNode = getNode;
const getNodes = (tree)=>(nodeIds)=>{
        if (!tree.nodes) return undefined;
        const nodes = (0, _remeda).pick(tree.nodes, nodeIds);
        if (!nodes) return undefined;
        return nodes;
    }
;
exports.getNodes = getNodes;

//# sourceMappingURL=getNode.js.map