"use strict";
exports.createAndAddEdge = exports.addEdge = void 0;
var _creators = require("../creators");
const addEdge = (tree)=>(edge)=>{
        // If there is no edges array yet assign it.
        if (!tree.edges) tree.edges = {};
        tree.edges[edge.id] = edge;
    }
;
exports.addEdge = addEdge;
const createAndAddEdge = (tree)=>(edge)=>{
        const newEdge = (0, _creators).createEdge(tree)(edge);
        if (newEdge instanceof Error) return newEdge;
        return addEdge(tree)(newEdge);
    }
;
exports.createAndAddEdge = createAndAddEdge;

//# sourceMappingURL=addEdge.js.map