"use strict";
exports.createAndAddNode = exports.addNode = void 0;
var _remeda = require("remeda");
var _addInput = require("./addInput");
var _creators = require("../creators");
const addNode = (tree)=>(node)=>{
        if (!tree.nodes) tree.nodes = {};
        tree.nodes[node.id] = node;
        if (!tree.startNode) tree.startNode = node.id;
    }
;
exports.addNode = addNode;
const createAndAddNode = (tree)=>(node)=>{
        if (node.data.inputs.length === 0) {
            const newInput = (0, _creators).createInput();
            node.data.inputs.push(newInput.id);
            (0, _addInput).addInput(tree)(newInput);
        }
        return (0, _remeda).pipe(node, _creators.createNode, addNode(tree));
    }
;
exports.createAndAddNode = createAndAddNode;

//# sourceMappingURL=addNode.js.map