"use strict";
exports.relateInputToCondition = void 0;
var _getters = require("../getters");
const relateInputToCondition = (tree)=>(conditionId, inputId)=>{
        const condition = (0, _getters).getCondition(tree)(conditionId);
        const input = (0, _getters).getInput(tree)(inputId);
        if (!condition) return new Error(`The condition with id ${conditionId} could not be found. Nothing has been changed.`);
        if (!input) return new Error(`The input with id ${inputId} could not be found. Nothing has been changed.`);
        condition.inputId = inputId;
    }
;
exports.relateInputToCondition = relateInputToCondition;

//# sourceMappingURL=relateInputCondition.js.map