"use strict";
exports.relateInputToNode = void 0;
var _getters = require("../getters");
const relateInputToNode = (tree)=>(nodeId, inputId)=>{
        const node = (0, _getters).getNode(tree)(nodeId);
        const input = (0, _getters).getInput(tree)(inputId);
        if (!node) return new Error(`The node with id ${nodeId} could not be found. Nothing has been changed.`);
        if (!input) return new Error(`The input with id ${inputId} could not be found. Nothing has been changed.`);
        node.data.inputs.push(inputId);
    }
;
exports.relateInputToNode = relateInputToNode;

//# sourceMappingURL=relateInputToNode.js.map