"use strict";
exports.removeInputFromNode = void 0;
var _getters = require("../getters");
const removeInputFromNode = (tree)=>(nodeId, inputId)=>{
        const node = (0, _getters).getNode(tree)(nodeId);
        if (!node) return new Error(`The node with id ${nodeId} could not be found. Nothing has been changed.`);
        const inputIndex = node.data.inputs.findIndex((nodeInputId)=>nodeInputId === inputId
        );
        if (inputIndex >= 0) {
            node.data.inputs.splice(inputIndex, 1);
        }
    }
;
exports.removeInputFromNode = removeInputFromNode;

//# sourceMappingURL=removeInputFromNode.js.map