"use strict";
exports.Record = exports.Type = void 0;
var _zod = require("zod");
const Type = _zod.z.object({
    id: _zod.z.string(),
    source: _zod.z.string(),
    target: _zod.z.string(),
    type: _zod.z.enum([
        "default"
    ]),
    conditionId: _zod.z.string().optional()
});
exports.Type = Type;
const Record = _zod.z.record(Type);
exports.Record = Record;

//# sourceMappingURL=Edge.js.map