"use strict";
exports.getChildren = void 0;
var _remeda = require("remeda");
const getChildren = (tree)=>(nodeId)=>{
        var _edges;
        return (0, _remeda).pipe((_edges = tree.edges) != null ? _edges : {}, _remeda.values, // Filter out relations without targets
        (0, _remeda).filter((edge)=>edge.source === nodeId
        ), // Return an array of the target ids
        (0, _remeda).map((edge)=>edge.target
        ));
    }
;
exports.getChildren = getChildren;

//# sourceMappingURL=getChildren.js.map