import { Tree } from "../type-classes";
export declare function createAdjacencyList<T extends {
    source: string;
    target: string;
}[]>(array: T): Record<string, string[]>;
export declare function depthFirstSearch(startId: string, adjacencyList: Record<string, string[]>): string[][];
export declare const getPaths: (tree: Tree.TTree) => (nodeId: string) => string[][];
