import { APIErrors } from "./ErrorCodes";
import { ODError, ODErrorConstructorParameters } from "./ODError";
export declare type ODAPIErrorConstructorParameters = Omit<ODErrorConstructorParameters, "code"> & {
    code: `${keyof typeof APIErrors}`;
};
export declare class APIError extends ODError {
    statusCode: APIErrors;
    constructor({ code, message }: ODAPIErrorConstructorParameters);
}
