import { InterpreterErrors } from "./ErrorCodes";
import { ODError, ODErrorConstructorParameters } from "./ODError";
export declare type InterpreterErrorConstructorParameters = {
    code: InterpreterErrors;
} & Omit<ODErrorConstructorParameters, "code">;
export declare class InterpreterError extends ODError {
    constructor({ code, message }: InterpreterErrorConstructorParameters);
}
