import { InterpreterExceptions } from "./ExceptionCodes";
import { ODExceptionConstructorParameters, ODException } from "./ODException";
export declare type InterpreterExceptionConstructorParameters = {
    code: InterpreterExceptions;
} & Omit<ODExceptionConstructorParameters, "code">;
export declare class InterpreterException extends ODException {
    constructor({ code, message }: InterpreterExceptionConstructorParameters);
}
