import { ExceptionCodes } from "./ExceptionCodes";
export declare type ODExceptionConstructorParameters = {
    code: ExceptionCodes;
    additionalData?: {};
} & Omit<Error, "name">;
export declare class ODException extends Error {
    readonly code: ExceptionCodes;
    readonly timestamp?: number;
    readonly additionalData?: {};
    constructor({ code, additionalData, message, }: ODExceptionConstructorParameters);
}
