"use strict";
exports.getNodeNames = void 0;
var _remeda = require("remeda");
const nodeWithName = (node)=>{
    return typeof node.data.name === "string";
};
const getNodeNames = (tree)=>(ids)=>{
        if (!tree.nodes) return [];
        return (0, _remeda).pipe(tree.nodes, Object.values, (0, _remeda).filter((node)=>ids ? ids.includes(node.id) && nodeWithName(node) : nodeWithName(node)
        ), (0, _remeda).map((node)=>({
                id: node.id,
                name: node.data.name
            })
        ));
    }
;
exports.getNodeNames = getNodeNames;

//# sourceMappingURL=getNodeNames.js.map