import { Tree } from "../type-classes";
export declare const getTree: (tree: Tree.TTree) => () => {
    inputs?: Record<string, {
        type: "select";
        id: string;
        answers: {
            id: string;
            text: string;
        }[];
    }> | undefined;
    conditions?: Record<string, {
        type: "select";
        id: string;
        inputId: string;
        answerId: string;
    }> | undefined;
    startNode?: string | undefined;
    nodes?: Record<string, {
        type: "customNode";
        data: {
            name?: string | undefined;
            content?: any;
            inputs: string[];
            conditions: string[];
        };
        id: string;
        position: {
            x: number;
            y: number;
        };
    }> | undefined;
    edges?: Record<string, {
        conditionId?: string | undefined;
        type: "default";
        id: string;
        source: string;
        target: string;
    }> | undefined;
};
