"use strict";
exports.createAndAddCondition = exports.addCondition = void 0;
var _remeda = require("remeda");
var _creators = require("../creators");
const addCondition = (tree)=>(condition)=>{
        if (!tree.conditions) tree.conditions = {};
        tree.conditions[condition.id] = condition;
    }
;
exports.addCondition = addCondition;
const createAndAddCondition = (tree)=>(condition)=>(0, _remeda).pipe(condition, _creators.createCondition, addCondition(tree))
;
exports.createAndAddCondition = createAndAddCondition;

//# sourceMappingURL=addCondition.js.map