"use strict";
exports.createAndAddInput = exports.addInput = void 0;
var _remeda = require("remeda");
var _creators = require("../creators");
const addInput = (tree)=>(input)=>{
        if (!tree.inputs) tree.inputs = {};
        tree.inputs[input.id] = input;
    }
;
exports.addInput = addInput;
const createAndAddInput = (tree)=>(input)=>(0, _remeda).pipe(input, _creators.createInput, addInput(tree))
;
exports.createAndAddInput = createAndAddInput;

//# sourceMappingURL=addInput.js.map