"use strict";
exports.deleteConditions = void 0;
var _deleteEdges = require("./deleteEdges");
const deleteConditions = (tree)=>{
    return (ids)=>{
        ids.forEach((id)=>{
            var ref;
            (ref = tree.conditions) == null ? void 0 : delete ref[id];
            var _edges;
            (0, _deleteEdges).deleteEdges(tree)(Object.values((_edges = tree.edges) != null ? _edges : {}).filter((edge)=>edge.conditionId === id
            ).map((edge)=>edge.id
            ));
        });
    };
};
exports.deleteConditions = deleteConditions;

//# sourceMappingURL=deleteConditions.js.map