"use strict";
exports.deleteInputAnswer = void 0;
var _getters = require("../getters");
var _deleteConditions = require("./deleteConditions");
const deleteInputAnswer = (tree)=>(inputId, answerId)=>{
        const input = (0, _getters).getInput(tree)(inputId);
        if (!input) return;
        const answerIndex = input.answers.findIndex(({ id  })=>id === answerId
        );
        input.answers.splice(answerIndex, 1);
        var _conditions;
        // When an Input is deleted all conditions using it need to be removed.
        (0, _deleteConditions).deleteConditions(tree)(Object.values((_conditions = tree.conditions) != null ? _conditions : {}).filter((condition)=>condition.answerId === answerId
        ).map((condition)=>condition.id
        ));
    }
;
exports.deleteInputAnswer = deleteInputAnswer;

//# sourceMappingURL=deleteInputAnswer.js.map