"use strict";
exports.relateConditionToNode = void 0;
var _getters = require("../getters");
const relateConditionToNode = (tree)=>(nodeId, conditionId)=>{
        const node = (0, _getters).getNode(tree)(nodeId);
        const condition = (0, _getters).getCondition(tree)(conditionId);
        if (!node) return new Error(`The node with id ${nodeId} could not be found. Nothing has been changed.`);
        if (!condition) return new Error(`The condition with id ${conditionId} could not be found. Nothing has been changed.`);
        node.data.conditions.push(conditionId);
    }
;
exports.relateConditionToNode = relateConditionToNode;

//# sourceMappingURL=relateConditionToNode.js.map