import { z } from "zod";
export declare const SelectCondition: z.ZodObject<{
    type: z.ZodEnum<["select"]>;
    id: z.ZodString;
    inputId: z.ZodString;
    answerId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "select";
    id: string;
    inputId: string;
    answerId: string;
}, {
    type: "select";
    id: string;
    inputId: string;
    answerId: string;
}>;
export declare const Type: z.ZodObject<{
    type: z.ZodEnum<["select"]>;
    id: z.ZodString;
    inputId: z.ZodString;
    answerId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "select";
    id: string;
    inputId: string;
    answerId: string;
}, {
    type: "select";
    id: string;
    inputId: string;
    answerId: string;
}>;
export declare const Record: z.ZodRecord<z.ZodString, z.ZodObject<{
    type: z.ZodEnum<["select"]>;
    id: z.ZodString;
    inputId: z.ZodString;
    answerId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "select";
    id: string;
    inputId: string;
    answerId: string;
}, {
    type: "select";
    id: string;
    inputId: string;
    answerId: string;
}>>;
export declare type TSelectCondition = z.infer<typeof SelectCondition>;
export declare type TCondition = z.infer<typeof Type>;
export declare type TRecord = z.infer<typeof Record>;
