"use strict";
exports.Record = exports.Type = exports.SelectCondition = void 0;
var _zod = require("zod");
const SelectCondition = _zod.z.object({
    type: _zod.z.enum([
        "select"
    ]),
    id: _zod.z.string().uuid(),
    inputId: _zod.z.string().uuid(),
    answerId: _zod.z.string().uuid()
});
exports.SelectCondition = SelectCondition;
const Type = SelectCondition;
exports.Type = Type;
const Record = _zod.z.record(Type);
exports.Record = Record;

//# sourceMappingURL=Condition.js.map