import { z } from "zod";
export declare const Type: z.ZodObject<{
    id: z.ZodString;
    source: z.ZodString;
    target: z.ZodString;
    type: z.ZodEnum<["default"]>;
    conditionId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    conditionId?: string | undefined;
    type: "default";
    id: string;
    source: string;
    target: string;
}, {
    conditionId?: string | undefined;
    type: "default";
    id: string;
    source: string;
    target: string;
}>;
export declare const Record: z.ZodRecord<z.ZodString, z.ZodObject<{
    id: z.ZodString;
    source: z.ZodString;
    target: z.ZodString;
    type: z.ZodEnum<["default"]>;
    conditionId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    conditionId?: string | undefined;
    type: "default";
    id: string;
    source: string;
    target: string;
}, {
    conditionId?: string | undefined;
    type: "default";
    id: string;
    source: string;
    target: string;
}>>;
export declare type TEdge = z.infer<typeof Type>;
export declare type TEdgesRecord = z.infer<typeof Record>;
