"use strict";
exports.Record = exports.Type = exports.Answer = void 0;
var _zod = require("zod");
const Answer = _zod.z.object({
    id: _zod.z.string().uuid(),
    text: _zod.z.string()
});
exports.Answer = Answer;
const Type = _zod.z.object({
    id: _zod.z.string().uuid(),
    type: _zod.z.enum([
        "select"
    ]),
    answers: _zod.z.array(Answer)
});
exports.Type = Type;
const Record = _zod.z.record(Type);
exports.Record = Record;

//# sourceMappingURL=Input.js.map