"use strict";
exports.getConnectableNodes = void 0;
var _remeda = require("remeda");
var _getChildren = require("./getChildren");
var _getPaths = require("./getPaths");
const getConnectableNodes = (tree)=>(nodeId)=>{
        const nodesOnPath = (0, _getPaths).getPaths(tree)(nodeId).flatMap((path)=>path
        );
        const nodesChildren = (0, _getChildren).getChildren(tree)(nodeId);
        var _nodes;
        return (0, _remeda).pipe((_nodes = tree.nodes) != null ? _nodes : [], Object.values, (0, _remeda).filter((iteratedNode)=>iteratedNode.id !== nodeId && !nodesOnPath.includes(iteratedNode.id) && !nodesChildren.includes(iteratedNode.id)
        ), (0, _remeda).map((node)=>node.id
        ));
    }
;
exports.getConnectableNodes = getConnectableNodes;

//# sourceMappingURL=getConnectableNodes.js.map