"use strict";
exports.isCircular = void 0;
var _getPaths = require("./getPaths");
const isCircular = (tree)=>({ source , target  })=>{
        const nodesOnPaths = (0, _getPaths).getPaths(tree)(source).flatMap((path)=>path
        );
        if (nodesOnPaths.includes(target)) return true;
        return false;
    }
;
exports.isCircular = isCircular;

//# sourceMappingURL=isCircular.js.map